Skip to main content
GET
/
v1
/
perps
/
funding_fees
Get Funding Fee Payments
curl --request GET \
  --url https://api.ondoperps.xyz/v1/perps/funding_fees \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "result": [
    {
      "market": "AAPL-USD.P",
      "time": "2025-03-05T12:00:00Z",
      "markPrice": "227.50",
      "positionSize": "10.00",
      "positionDirection": "long",
      "rate": "0.0000125",
      "payer": "long",
      "amount": "-0.02844"
    }
  ],
  "pageInfo": {
    "nextCursor": "NQ5WWO3THN3Q===="
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

market
string

Trading market to filter by

Example:

"AAPL-USD.P"

limit
integer

Maximum number of results to return

Example:

1000

cursor
string

Pagination cursor

Example:

"NQ5WWO3THN3Q===="

startTime
integer

Start time filter (UTC milliseconds)

Example:

1684814400000

endTime
integer

End time filter (UTC milliseconds)

Example:

1672549200000

Response

Paginated list of funding fee payments, most recent first

success
boolean
required

Whether the request was successful

Example:

true

error
string

Error message, present only on failure

Example:

""

error_code
string

Semantic error code. See each endpoint's error responses for the specific codes it can return.

deprecated
string

Deprecation notice, if applicable

Example:

""

result
object[]
pageInfo
object